Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228510 - Please update opencv to 1.0
Summary: Please update opencv to 1.0
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 6
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ralf Corsepius
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 14:20 UTC by Mary Ellen Foster
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-20 13:46:29 UTC


Attachments (Terms of Use)

Description Mary Ellen Foster 2007-02-13 14:20:14 UTC
Description of problem:

OpenCV 1.0 has been released since November, but the version in Extras is still
0.9.9. It would be good to update to the final version.

Version-Release number of selected component (if applicable):
opencv-0.9.9-4.fc6

Comment 1 Ralf Corsepius 2007-02-13 14:52:48 UTC
(In reply to comment #0)
> OpenCV 1.0 has been released since November, but the version in Extras is still
> 0.9.9. It would be good to update to the final version.

1.0 is in fc7 since December ;)

Unfortunately upgrading fc6 is not easily doable, because opencv upstream had
chosen to break the SONAME between 0.9.9 and 1.0 
(0.9.9 ships lib*.0, 1.0 ships lib*.1)

i.e. an upgrade to 1.0 in FC6 would break package dependencies.

Comment 2 Simon Perreault 2007-02-13 15:01:39 UTC
Can the bug be closed with NEXTRELEASE then?

Comment 3 Ralf Corsepius 2007-02-13 15:12:24 UTC
(In reply to comment #2)
> Can the bug be closed with NEXTRELEASE then?

Not yet, because I am seriously considering to upgrade.
If and how depends on a couple of questions yet to be clarified.



Comment 4 Ralf Corsepius 2007-02-20 13:46:29 UTC
(In reply to comment #3)
One week has passed, and despite a warning on the fedora-extras-list, nobody has
objected, nor insisted on a compat-opencv.

Therefore, I've taken the plunge and pushed a build of opencv-1.0.0 for fc6.

Package should appear with the next round of FE releases (SONAME breakages
guaranteed).


Note You need to log in before you can comment on or make changes to this bug.